#include <SD.h>
#include <SPI.h>

///// Arduino用漢字パターン取得用関数 /////

// 要SDカードシールド
// 使用メモリ多め
// Arduino Uno Rev3で動作確認
//  (ATmega328P)


///// フォント読み込み用設設定など /////


//SDカードのピンは以下の通りに接続する。
// MOSI：11
// MISO：12
// SCLK：13
// SS  ：＊(よく有るSDシールドは4番ピン。シールドの説明書を参照すること。)


#ifndef FONTX
#define FONTX 
// フォントファイルのファイル名を指定

#ifndef FONT_FILEJ
#define FONT_FILEJ "FONTXJ.FNT"   // 全角文字用フォントを指定
#endif
#ifndef FONT_FILEA
#define FONT_FILEA "FONTXA.FNT"   // 半角文字用フォントを指定
#endif

int AsciiZen(char);
unsigned long KanjiReadX(unsigned int code , unsigned char *pat);

#endif